<ion-header>
  <ion-toolbar>
    <ion-title>
      RCM Test App
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-button color="primary" size="medium" expand="block" (click)="openAddModal()">Add Spot</ion-button>
  
  <ion-list>

    <ion-list-header>
      All Spot Data
    </ion-list-header>

    <ion-item-sliding *ngFor="let spotData of spotDatas">
      <ion-item>
        <ion-avatar slot="start">
          <img src="{{spotData.picture}}">
        </ion-avatar>
        <ion-label>
          <h2>{{spotData.name}}</h2>
          <h3>{{spotData.type}}</h3>
          <p>{{spotData.description}}</p>
        </ion-label>
      </ion-item>
      <ion-item-options>
        <ion-item-option color="primary" (click)="viewSpot(spotData)">
          View
        </ion-item-option>
        <ion-item-option color="secondary" (click)="editSpot(spotData)">
          Edit
        </ion-item-option>
        <ion-item-option color="danger" (click)="deleteSpot(spotData)">
          Delete
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>

  </ion-list>    



  
</ion-content>
